<template>
    <v-container grid-list-md >
      <v-layout row pb-2>
      <v-flex xs10 offset-xs1>
        <v-card class="card--flex-toolbar">
          <v-toolbar card prominent>
            <v-toolbar-title class="body-2">
              Skills and Experience
            </v-toolbar-title>
            <v-spacer></v-spacer>
          </v-toolbar>
          <v-card-text>
            <v-list two-line>
            <template v-for="(item, index) in skills">
               <v-list-tile
                 ripple
                 :key="index"
               >
                 <v-list-tile-content>
                   <v-list-tile-title><h4>{{ item.category }}</h4></v-list-tile-title>
                   <v-list-tile-subtitle>{{ item.contents }}</v-list-tile-subtitle>
                 </v-list-tile-content>
               </v-list-tile>
               <v-divider v-if="index != skills.length-1"></v-divider>
             </template>
           </v-list>
          </v-card-text>
        </v-card>
      </v-flex>
    </v-layout>
      <v-layout row >
    <v-flex xs12>
      <v-card>
        <v-card-title>
        <p>
          I have written custom customer relations managements apps from the
          ground up. This includes implememtation for invoicing, sales tracking, analysis, asset management;
          as well as website hosting, account management,
          server administration, design, and test.
        </p>
        <p>I have used parallel clusters with thousands of nodes. I studied parallelization
          of serial algorithms for hydrodynamics.
           I was system admin to a small cluster of CUDA enabled Fedora machines.
         </p>
        <p>
          I worked on automatic air traffic scheduling algotihms for a
          government contractor.
        </p>
        <p>
        </p>
      </v-card-title>
      </v-card>
    </v-flex>
  </v-layout>
       <!-- <v-layout v-bind="binding">
         <v-flex >
           <v-card dark color="accent">
             <v-card-title>
               <div class="heading">Languages</div>
               <p>Python, JavaScript (ES5/ES6), Java</p>
             </v-card-title>
           </v-card>
         </v-flex>
         <v-flex>
           <v-card dark color="secondary">
             <v-card-text>two</v-card-text>
           </v-card>
         </v-flex>
         <v-flex>
           <v-card dark color="accent">
             <v-card-text>three</v-card-text>
           </v-card>
         </v-flex>
       </v-layout> -->
     </v-container>
</template>

<script>
export default {
  name: 'Introduction',
  data () {
    return {
      msg: '',
      skills: [
        { category: 'Languages', contents:	'Python, JavaScript (ES5/ES6), Java'},
        { category: 'JavaScript Frameworks', contents:	'	Vue, Vuetify, Pixi, Phaser, jQuery'},
        { category: 'Server Frameworks', contents:	' 		Django, Django REST Framework, Flask, Node.js'},
        { category: 'Databases', contents:	'			MySQL, PostgreSQL, Oracle, SQLite'},
        { category: 'Computational Science',
          contents:	'Parallel computing, genetic optimization algorithms, numpy, BLAS, CUDA, MATLAB, Octave'},
        { category: 'PaaS', contents:	'AWS EC2, ELB, Lambda; Openshift'},
        { category: 'VCS', contents:	'git, github, gitlab clearcase'},
        { category: 'Miscellaneous', contents: "AJAX, multi-thread, multi-core, REST API, webpack" },
     ]
    }
  },
  computed: {
    binding () {
      // change to row on md breakpoint
      const binding = {}

      if (this.$vuetify.breakpoint.mdAndDown) binding.column = true

      return binding
    },
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h1, h2 {
  font-weight: normal;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
